using FluentValidation;
using Hotline.Share.Dtos.Order;

namespace DataSharing.Validators.XieTong
{
    public class RemindCaseInfoValidator : AbstractValidator<PublishUrgeDto>
    {
        public RemindCaseInfoValidator()
        {
            RuleFor(d => d.Order.ProvinceNo).NotEmpty();
            RuleFor(d => d.Order.AreaCode).NotEmpty();
            RuleFor(d => d.Urge.CreationTime).NotEmpty();
            RuleFor(d => d.Urge.CrUser).NotEmpty();
            RuleFor(d => d.Urge.ApplyContent).NotEmpty();
        }
    }
}
